summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-12-05 23:14:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-05 23:14:44 +0700
commitd65860cb0b7e91dbd40e4d7143a790c9e95bb7ce (patch)
tree18578df8c0ed63fefbcef3ee89041f6f6a806704 /audio
parent1a3e41c1ebb01d50f1931e8f48dba4f9933a1763 (diff)
downloadslackbuilds-d65860cb0b7e91dbd40e4d7143a790c9e95bb7ce.tar.gz
slackbuilds-d65860cb0b7e91dbd40e4d7143a790c9e95bb7ce.tar.xz
audio/icecast: Updated for version 2.4.1 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/icecast/README15
-rw-r--r--audio/icecast/doinst.sh5
-rw-r--r--audio/icecast/icecast.SlackBuild51
-rw-r--r--audio/icecast/icecast.info10
-rw-r--r--audio/icecast/slack-desc14
5 files changed, 54 insertions, 41 deletions
diff --git a/audio/icecast/README b/audio/icecast/README
index 0a59a8bd59..a7bc5c1857 100644
--- a/audio/icecast/README
+++ b/audio/icecast/README
@@ -1,9 +1,8 @@
-Icecast is a streaming media server which currently supports Ogg
-streaming including the vorbis and theora codecs. Also icecast can
-handle other streams like MP3/AAC/NSV.
-It can be used to create an Internet radio station or a privately
-running jukebox and many things in between. It is very versatile in
-that new formats can be added relatively easily and supports open
-standards for communication and interaction.
+Icecast is a streaming media server which currently supports
+Ogg (Vorbis and Theora), Opus, WebM and MP3 audio streams. It can
+be used to create an Internet radio station or a privately running
+jukebox and many things in between. It is very versatile in that
+new formats can be added relatively easily and supports open
+standards for commuincation and interaction.
-Icecast has an optional requirement of speex.
+Optional dependencies: speex
diff --git a/audio/icecast/doinst.sh b/audio/icecast/doinst.sh
index 88d4c0e358..b662b9ee85 100644
--- a/audio/icecast/doinst.sh
+++ b/audio/icecast/doinst.sh
@@ -12,8 +12,3 @@ config() {
}
config etc/icecast.xml.new
-
-# Create log files if they don't exist already
-[ ! -e var/log/icecast/access.log ] && touch var/log/icecast/access.log
-[ ! -e var/log/icecast/error.log ] && touch var/log/icecast/error.log
-
diff --git a/audio/icecast/icecast.SlackBuild b/audio/icecast/icecast.SlackBuild
index ccfb1d881f..fc6e28b8f5 100644
--- a/audio/icecast/icecast.SlackBuild
+++ b/audio/icecast/icecast.SlackBuild
@@ -1,13 +1,32 @@
#!/bin/sh
-# Slackware build script for icecast
+# Slackware build script for "icecast".
-# Written by Rodney Cobb (rdc@ktabic.co.uk)
-# Modified by Robby Workman <rworkman@slackbuilds.org>
-# Modified by Mario Preksavec <mario@slackware.hr>
+# Copyright -2014 Rodney Cobb <rdc@ktabic.co.uk>
+# Copyright 2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=icecast
-VERSION=${VERSION:-2.3.3}
+VERSION=${VERSION:-2.4.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -38,7 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -48,17 +67,15 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --disable-static \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -68,14 +85,16 @@ CXXFLAGS="$SLKCFLAGS" \
make docdir=/usr/doc/$PRGNAM-$VERSION
make install-strip docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-# Let's not clobber existing configs
( cd $PKG/etc/ ; mv icecast.xml icecast.xml.new )
-# Create log dir ; files will be created in doinst.sh if needed
mkdir -p $PKG/var/log/icecast
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog HACKING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/audio/icecast/icecast.info b/audio/icecast/icecast.info
index 18b5d0be3e..7202ec1001 100644
--- a/audio/icecast/icecast.info
+++ b/audio/icecast/icecast.info
@@ -1,10 +1,10 @@
PRGNAM="icecast"
-VERSION="2.3.3"
+VERSION="2.4.1"
HOMEPAGE="http://www.icecast.org"
-DOWNLOAD="http://downloads.xiph.org/releases/icecast/icecast-2.3.3.tar.gz"
-MD5SUM="2b5d1b40778922e5f6431b7758c359ad"
+DOWNLOAD="http://downloads.xiph.org/releases/icecast/icecast-2.4.1.tar.gz"
+MD5SUM="b1402712a79734d4720c8fe15fd9fb10"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Rodney Cobb"
-EMAIL="rdc@ktabic.co.uk"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/audio/icecast/slack-desc b/audio/icecast/slack-desc
index 7b13120efb..43dd7e2f5d 100644
--- a/audio/icecast/slack-desc
+++ b/audio/icecast/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
icecast: icecast (streaming media server)
icecast:
-icecast: Icecast is a streaming media server which currently supports Ogg
-icecast: streaming including the vorbis and theora codecs. Also icecast can
-icecast: handle other streams like MP3/AAC/NSV.
-icecast:
-icecast:
-icecast:
-icecast:
+icecast: Icecast is a streaming media server which currently supports
+icecast: Ogg (Vorbis and Theora), Opus, WebM and MP3 audio streams. It can
+icecast: be used to create an Internet radio station or a privately running
+icecast: jukebox and many things in between. It is very versatile in that
+icecast: new formats can be added relatively easily and supports open
+icecast: standards for commuincation and interaction.
icecast:
+icecast: Homepage: http://icecast.org/
icecast: